' "Confidential Notes"
' Created with QDK 3.12

define game <Confidential Notes>
	asl-version <311>
	start <Office1>
	game author <Matthew W. Gamble>
	game version <1.0>
	game copyright <odingMasters opyright 2003>
	game info <Created with QDK 3.12>
	startscript {
		msg <Confidential Items is a game of dilivering items to people in the office block and receiving rewards until you get to the top level.|n|nAt any time during the game, type menu to bring a special menu with help|n|nGood luck!>
		wait <>
		clear
	}
	command <help> choose <help-menu>
end define

define synonyms
end define

define room <Office1>
	alias <Office>
	prefix <Your>
	look <The desk is cluttered, nothing is neat, just like a typical office>
	east <Office2>
	command <open filing cabinet> choose <Filing Cabinet>

	define object <Desk>
		look msg <It is clutered with papers and notes and everything else a normal office desk has>
		take msg <Are you kidding?!  It's way to heavy!>
		prefix <your>
	end define

	define object <Computer>
	end define

	define object <Clutter>
		look msg <Made up of paper and folders>
		take msg <You don't have enough room for all of it and you wouldn't want to take it anyway!>
		prefix <the>
		suffix <on the desk>
	end define

	define object <Filing Cabinet>
		look msg <a normal filing cabinet with 4 drawers>
		take msg <It's way to heavy>
		prefix <the>
	end define

	define object <Confidential Item 1>
		alias <note>
		look msg <No looking!  It's confidential!>
		prefix <a>
		suffix <marked confidential>
		hidden
		drop nowhere <You can't drop this!  Someone might take it and then you'll be in trouble!>
	end define

	define object <Working Orders>
		look msg <Item # 1:  Diliver confidential note in Filing Cabinet to Mr. Hubbins|n|nItem # 2:  Get post order from secretary and post|n|nItem # 3:  Get post from PO Box and put in filing cabinet drawer 1|n|nItem # 4:  Go see boss for pay rise>
		prefix <your>
		suffix <for the day>
		hidden
		drop nowhere <Don't drop these in case you forget them!>
	end define

	define object <Boss's Office Key>
		look msg <You didn't notice this earlier.  It will let you into the Boss's office!>
		hidden
	end define

end define

define room <Office2>
	alias <Secretary's Office>
	prefix <Your>
	look <Your Secretary is typing out a document at her desk.  Other then that, there isn't much.>
	east <First Floor Hallway>
	west <Office1>

	define object <Secretary>
		look msg <she is sitting at her desk, tapping away at a keybaord>
		speak choose <secretary-speak>
		prefix <your>
		displaytype <person>
		gender <she>
	end define

	define object <Desk2>
		alias <Desk>
		look msg <It has a computer just like yours on it, but all the papers on it are much more organised then yours>
		take msg <Are you kidding?!  It's way to heavy!>
		prefix <your secretary's>
	end define

	define object <Post Order>
		prefix <the>
		suffix <you ordered>
		hidden
	end define

	define object <PO Box Key>
		look msg <It's very shiny>
		prefix <your>
		hidden
	end define

end define

define room <First Floor Hallway>
	prefix <the>
	look <Occasionally someone appears, but mostly it's just someone heading upstairs.>
	north <Stairs2>
	south <Stairs>
	east msg <It's locked|n|nThat's Mrs. Nemin's office.  She must be out or it wouldn't be locked.>
	west <Office2>
end define

define room <Stairs>
	prefix <a flight of>
	look <Not a very busy flight of stairs today>
	indescription <You are on:>
	north <First Floor Hallway>
	south <Foyer>
end define

define room <Foyer>
	prefix <the>
	look <Everynow and then someone will come in the spinning door, go over to the receptionist and talk to him, then go upstairs or exit.>
	north <Stairs>
	east <Street>

	define object <Mr. Hubbins>
		look msg <Mr. Hubbins is dressed in a black suit with a Christmas tie>
		suffix <the receptionist>
		displaytype <person>
		gender <he>
		give <Confidential Item 1> {
			say <I do believe you have an item for me?>
			msg <>
			say <Why yes I do.  Here it is:>
			lose <Confidential Item 1>
			hide <Confidential Item 1>
			say <You will need this to get the post order from your secretary>
			show <Receipt>
			give <Receipt>
		}
	end define

	define object <Spinning Door>
		look msg <A specially made door made for city office blocks>
		prefix <a>
	end define

	define object <Receipt>
		look msg <Give this to your secretary Tamara and she'll give you the special post order>
		prefix <a>
		hidden
	end define

end define

define room <Stairs2>
	alias <Stairs>
	prefix <a flight of>
	look <Not a very busy flight of stairs, but some paintings on the walls on either side>
	indescription <You are on:>
	north <Second Floor Hallway>
	south <First Floor Hallway>
end define

define room <Second Floor Hallway>
	prefix <the>
	look <3 office rooms around here and one of them is the boss.  You'd better not make any trouble he might sack you>
	south <Stairs2>
	east <Office3>
	west msg <It's locked|n|nThat's Mr. Acro's office.  He must be out or it wouldn't be locked.>
	command <open boss's office door> {
		if got <Boss's Office Key> then {
			msg <The key fits and turns!>
			create exit north <Second Floor Hallway; Office4>
			lose <Boss's Office Key>
			hide <Boss's Office Key>
		}
		else msg <You don't have the key!>
	}
end define

define room <Office3>
	alias <Secretary's Office>
	prefix <Mrs. Uhanyan's>
	look <Mrs. Uhanyan's Secretary is busy tapping on her keyboard, typing out a letter>
	west <Second Floor Hallway>

	define object <Secretary2>
		alias <Secretary>
		look msg <By the looks of it, Mrs. Uhanyan's Secretary could be looking the other way and still typing normaly!>
		speak {
			say <Is Mrs. Uhanyan in?>
			say <No, she's out doing a job.>
			say <Thanks>
		}
		prefix <Mrs. Uhanyan's>
	end define

end define

define room <Office4>
	alias <Boss's Office>
	prefix <Your>
	south <Second Floor Hallway>
	script do <boss-office-enter>

	define object <Boss>
		look msg <He obvisouly doesn't want to be disturbed|n|nUnless of course it's super important>
		speak do <boss-speak>
		prefix <Your>
	end define

end define

define room <Street>
	prefix <the>
	look <Cars come through every couple of seconds and make a lot of noise.  Mr. Hubbins would be used to it, but your not, so you block your ears.  Across the road is the Post Office>
	east <Post Office>
	west <Foyer>
	beforeturn msg <You make sure you can safely cross before crossing>

	define object <Cars>
		look msg <They zoom past every few seconds>
		take msg <Would if I could but they're way to heavy>
		give anything msg <What can I give them when they zoom right past?>
	end define

end define

define room <Post Office>
	prefix <the>
	look <People are constantly coming and going from this place.|nThe PO Boxes are north-west from here>
	west <Street>
	northwest <PO Box Breezeway>

	define object <Man>
		look msg <He's the only one at the counter serving people.|nHe appears to be very busy>
		speak if got <Post Order> then choose <po-man-speak> else msg <Why?  You've got nothing to post!>
		prefix <the>
		suffix <at the desk>
	end define

end define

define room <PO Box Breezeway>
	prefix <the>
	look <There are lots of black boxes labeled with numbers in the wall here.  Not many people come here though>
	southeast <Post Office>
	command <open your PO box> if got <PO Box Key> then {
		msg <You find your Po Box, open it, grab the mail and then lock it.>
		show <Post>
		give <Post>
	}
	else msg <You don't have the key!>

	define object <PO Boxes>
		look msg <There are lots of black boxes with numbers on them>
		prefix <the>
	end define

	define object <Post>
		look msg <A few letters>
		prefix <your>
		hidden
	end define

end define

define room <Help Room>
	prefix <the>
	look <This room is full of books, each one on a different topic>
	out <Office1> {
		if got <Book> then lose <Book>
		if got <Book2> then lose <Book2>
		if got <Book3> then lose <Book3>
		goto <Office1>
	}
	command <read book 1> do <book1-read>
	command <read book 2> do <book2-read>
	command <read book 3> do <book3-read>

	define object <Book>
		alias <Book 1>
		look msg <It is very dusty and looks very old>
		take {
			msg <You may not take this from the room>
			msg <Should you try, the book will stay here>
			give <Book>
		}
	end define

	define object <Book2>
		alias <Book 2>
		look msg <It is very dusty and looks very old>
		take {
			msg <You may not take this from the room>
			msg <Should you try, the book will stay here>
			give <Book2>
		}
	end define

	define object <Book3>
		alias <Book 3>
		look msg <It is very dusty and looks very old>
		take {
			msg <You may not take this from the room>
			msg <Should you try, the book will stay here>
			give <Book3>
		}
	end define

end define

define procedure <boss-speak>
	say <Sir, I was wondering...because I've worked so hard over the past few months, I was wondering if I could have a pay rise...>
	say <Certainly, Bill.  Now, shoo, I'm typing up a very important document>
	goto <Second Floor Hallway>
	msg <You got the pay rise from your Boss!  You win!|n|nCongratulations!>
	playerwin
	
end define

define procedure <book1-read>
	msg <Book 1 explains the first part of the game-from the start to handing over the first note>
	wait <Press Any Key>
	msg <When you start the game, type |iopen filing cabinet|xi.  That will bring up a menu.  Select |iopen and inspect drawer 1|xi.  You will find your working orders for the day.>
	wait <Press Any Key>
	msg <Repeat that process but select |iopen and inspect drawer 3|xi.  You will find the 1st Confidential Note.>
	wait <Press Any Key>
	msg <Go east once.  Select |iSecretary|xi from the objects menu and click on |iSpeak To|xi.  That will bring up a menu.  Select |iGot anything for me?|xi.  She will say something.  Reply by saying something like |iWho does this note have to go to again?|xi.  She will say |iMr. Hubbins the receptionist|xi.>
	wait <Press Any Key>
	msg <Go east once more and then south twice.  You will be in the foyer.>
	wait <Press Any Key>
	msg <Type |igive note to mr. hubbins|xi.  You will receive a receipt in return for the note.>
	
end define

define procedure <book2-read>
	msg <Book 2 explains the second part of the game-from swapping the receipt to posting the post order>
	wait <Press Any Key>
	msg <Go north twice and then west once.  You will arrive in your Secretary's office>
	wait <Press Any Key>
	msg <Select |iSecretary|xi on the objects menu and click on |iSpeak To|xi.  This will bring up a menu.  Select |iGot anything for me?|xi again.  This will bring up a 2nd menu, but different this time.  Select |iI've got a receipt for a post order here|xi.  She will give you the |ipost order|xi and also your |iPO Box Key|xi.>
	wait <Press Any Key>
	msg <Go east once, south twice and then east once.  This will bring you to the street>
	wait <Press Any Key>
	msg <Go east once more.  You will arrive in the Post Office.  Select |iMan|xi in the objects menu and click on |iSpeak To|xi.  A menu will pop up.  Select |iI need to post this item|xi.  He will say something about it arriving.>
	
end define

define procedure <book3-read>
	msg <Book 3 explains the third part of the game-from from geeting the post to getting the pay rise and ending the game>
	wait <Press Any Key>
	msg <Go northwest and arrive in the PO Box breezeway.  Type |iopen your po box|xi to get the post and lock it again.  Go south-east and then west twice to arrive back in the foyer>
	wait <Press Any Key>
	msg <Go north twice and then west twice.  Type |iopen filing cabinet|xi to bring up the menu you saw earlier.  Select |iopen and inspect drawer 1|xi>
	msg <It will say that there is nothing there, but it will bring up a new menu, asking you wether or not you wish to put something in it or not.  Select yes>
	wait <Press Any Key>
	msg <You will put the post in the drawer, and then you will find your |iboss's office key|xi!>
	wait <Press Any Key>
	msg <Go west twice and then north twice to arrive at the Second Floor Hallway.  Type |iopen boss's office door|xi and you will now be able to get into your boss's office!>
	wait <Press Any Key>
	msg <Go north into your boss's office and select |iBoss|xi from the objects menu.  Click on Speak To>
	wait <Press Any Key>
	msg <You will automatically ask him for a pay rise.  He will say shoo and you will go out to the Second Floor Hallway|nYou will automatically win the game!>
	
end define

define text <intro>

end define

define text <win>

end define

define text <lose>

end define

define selection <Filing Cabinet>
	info <The Cabinet has 4 drawers, most filled with confidential files>
	choice <open and inspect drawer 1> {
		msg <You open drawer 1 to find...>
		pause <500>
		msg <Nothing>
		pause <200>
		if got <Post> then choose <FC drawer 1>
	}
	choice <open and inspect drawer 2> {
		msg <You open drawer 2 to find...>
		pause <500>
		msg <Your working orders for the day!>
		show <Working Orders>
		give <Working Orders>
	}
	choice <open and inspect drawer 3> {
		msg <You open drawer 3 to find...>
		pause <500>
		msg <A note marked confidential.  This needs to go somewhere, but you can't remember what.|nYou might want to ask your secretary>
		show <Confidential Item 1>
		give <Confidential Item 1>
	}
	choice <open and inspect drawer 4> {
		msg <You open drawer 4 to find...>
		pause <500>
		msg <Nothing>
	}
	choice <don't look>
end define
define selection <FC drawer 1>
	info <Do you wish to put anything in here?>
	choice <yes> {
		msg <You put the post in the drawer>
		lose <Post>
		hide <Post>
		msg <You notice something lying in the corner of the drawer...>
		msg <|n|nIt's your boss's office key!|nNow you can go and ask him for a pay rise!>
		show <Boss's Office Key>
		give <Boss's Office Key>
	}
	choice <no> msg <you didn't put the post in the drawer>
end define
define selection <secretary-speak>
	info <What will you say?>
	choice <Hiya Tamara> {
		msg <Hiya Tamara>
		msg <|nHi Bill.  Whats up?>
		choose <secretary-speak2>
	}
	choice <Got anything for me?> {
		msg <Got anything for me?>
		if got <Confidential Item 1> then {
			msg <|nI might.  What do you want?>
			choose <secretary-speak3>
		}
		if got <Receipt> then {
			msg <|nI might.  What do you want?>
			choose <secretary-speak4>
		}
		else say <Nope>
	}
	choice <Don't speak to her>
end define
define selection <secretary-speak2>
	info <What will you say to her?>
	choice <How are you?> {
		msg <How are you?>
		msg <|nFine thanks>
	}
	choice <Any good gossip?> msg <Any good gossip?|n|nNo, not really>
end define
define selection <secretary-speak3>
	info <What will you say to her?>
	choice <Who does this note have to goto again?> msg <Who does this note have to go to again?|n|nMr. Hubbins the receptionist>
	choice <Don't say anything>
end define
define selection <secretary-speak4>
	info <What will you say to her?>
	choice <I've got a receipt for a Post Order here> {
		msg <I've got a receipt for a Post Order here|n|nExcellent.  This came in last night.  It needs to be posted.  While you're at the Post Office, make sure to check your PO Box.>
		show <Post Order>
		give <Post Order>
		lose <Receipt>
		hide <Receipt>
		msg <Here's your PO Box key also>
		show <PO Box Key>
		give <PO Box Key>
	}
	choice <Don't say anything>
end define
define selection <po-man-speak>
	info <What will you say to him?>
	choice <I need to post this item.> {
		say <I need to post this item here>
		msg <>
		say <OK.  I'll put it aside to be posted.  It should arrive in 2 days>
		lose <Post Order>
		hide <Post Order>
	}
	choice <Don't say anything>
end define
define selection <help-menu>
	info <If you choose to open this menu, you will be moved back your office when done.  Are you sure about this?>
	choice <Yes> goto <Help Room>
	choice <No>
end define

